solydxk-system(-adjustments) upgrade problem

Questions about software.
User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

solydxk-system(-adjustments) upgrade problem

Postby EliaSXK91 » 06 May 2019 12:56

Hello fellow SolydXK users!..

Fortunately, i've dumped bloody Windows
+been using this Linux distribution for the last few years, without serious+unsolved problems!..

UNfortunately however,
for a few months now i've encountered this (for me at least...) serious problem,
of not being able to upgrade a certain file/package
called "solydxk-system ( 3.2.8)", into 3.1.1
making a further mess in not upgrading around 100 more new packages now
+creating various problems with certain web-accounts+generally surfing of me...

Can somebody please guide me through the solution of it step-by-step as soon as possible,
for the situation has finally turned out too hectic, messy+problematic trying to solve it myself,
via Synaptic 0.84.2 ?!...

Definitely, i would greatly appreciate anybody's valid solution to this pain in the... nail, ASAP!..

Best regards+thanks a lot in advance,
Elias!


PS: Hellenic/Greek language is much preferred as my ideal means of solution,
otherwise English shall hopefully do me quite as well!.. ;)

NOTE: Synaptic screenshot is attached, for faster understanding+solution of the issue!.. :)
Screenshot_20190506_153920.png
EliaSXK91,
speaking!..

User avatar
Arjen Balfoort
Site Admin
Posts: 9258
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Few months old TECHnical PROBLEM!..

Postby Arjen Balfoort » 06 May 2019 14:07

I have moved your post to a new, appropriate topic.

Please, check this topic of somebody who had the same problem: viewtopic.php?f=7&t=7414

Don't forget to post back all terminal output in your next post.


SolydXK needs you!
Development | Testing | Translations

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 06 May 2019 14:21

Arjen Balfoort wrote:
06 May 2019 14:07
I have moved your post to a new, appropriate topic.

Please, check this topic of somebody who had the same problem: viewtopic.php?f=7&t=7414

Don't forget to post back all terminal output in your next post.
Alright.., thanks for the diversion!..

But, where do i start from?!..
Which exact post is the right one,
which procedure of steps do i follow, that is
+can i fix it via Synaptic?!.. :?

E.
EliaSXK91,
speaking!..

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 07 May 2019 11:48

EliaSXK91 wrote:
06 May 2019 14:21
Arjen Balfoort wrote:
06 May 2019 14:07
I have moved your post to a new, appropriate topic.

Please, check this topic of somebody who had the same problem: viewtopic.php?f=7&t=7414

Don't forget to post back all terminal output in your next post.
Alright.., thanks for the diversion!..

But, where do i start from?!..
Which exact post is the right one,
which procedure of steps do i follow, that is
+can i fix it via Synaptic?!.. :?

E.
Hello!..

+...so?! :?
EliaSXK91,
speaking!..

User avatar
Arjen Balfoort
Site Admin
Posts: 9258
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Few months old TECHnical PROBLEM!..

Postby Arjen Balfoort » 07 May 2019 12:03

Please, do not be impatient. I do have a life.

That said, you will not be able to solve this without the terminal. So, let's start with some very needed terminal output before we can decide what to do about your problem.

Code: Select all

apt purge solydxk-system
After that, you can select all the terminal output and copy it (shift-ctrl-c) before you post it here.
Don't forget to enclose the output in your post with "code" tags. Its the "</>" button in the post a reply page.


SolydXK needs you!
Development | Testing | Translations

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 07 May 2019 12:16

Arjen Balfoort wrote:
07 May 2019 12:03
Please, do not be impatient. I do have a life.

That said, you will not be able to solve this without the terminal. So, let's start with some very needed terminal output before we can decide what to do about your problem.

Code: Select all

apt purge solydxk-system
After that, you can select all the terminal output and copy it (shift-ctrl-c) before you post it here.
Don't forget to enclose the output in your post with "code" tags. Its the "</>" button in the post a reply page.
Of course you do have a life, dear SolydXK founder Arjen,
as well as all of us users, who are not ro-bots!..

I've been quite patient i think,
with all these months having my Linux Software not working properly for my systems...

Besides, that's what i needed to know in order to proceed:
Synaptic is useless at this point
+the steps needed are what you just wrote down!..

I'm starting the process
+i'll keep you posted!
Hopefully, i shall have the needed feedback too!..

Thanks again!..
EliaSXK91,
speaking!..

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 07 May 2019 12:26

EliaSXK91 wrote:
07 May 2019 12:16
Arjen Balfoort wrote:
07 May 2019 12:03
Please, do not be impatient. I do have a life.

That said, you will not be able to solve this without the terminal. So, let's start with some very needed terminal output before we can decide what to do about your problem.

Code: Select all

apt purge solydxk-system
After that, you can select all the terminal output and copy it (shift-ctrl-c) before you post it here.
Don't forget to enclose the output in your post with "code" tags. Its the "</>" button in the post a reply page.
Of course you do have a life, dear SolydXK founder Arjen,
as well as all of us users, who are not ro-bots!..

I've been quite patient i think,
with all these months having my Linux Software not working properly for my systems...

Besides, that's what i needed to know in order to proceed:
Synaptic is useless at this point
+the steps needed are what you just wrote down!..

I'm starting the process
+i'll keep you posted!
Hopefully, i shall have the needed feedback too!..

Thanks again!..
Here we go then:

Code: Select all

elias@solydxk ~ $ apt purge solydxk-system
[sudo] password for elias: 
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Ίσως να πρέπει να τρέξετε apt --fix-broken install για να διορθώσετε αυτά τα προβλήματα.
Τα ακόλουθα πακέτα έχουν ανεπίλυτες εξαρτήσεις:
 solydk-system-adjustments-8 : Εξαρτάται από: solydxk-mozilla-evolvere-icon-theme αλλά δεν πρόκειται να εγκατασταθεί
E: Ανεπίλυτες εξαρτήσεις. Δοκιμάστε 'apt --fix-broken install' χωρίς να ορίσετε πακέτο (ή καθορίστε μια λύση).
elias@solydxk ~ $ ^C
elias@solydxk ~ $ 
I hope we don't have a problem in the fixing process with Hellenic/Greek language...
EliaSXK91,
speaking!..

User avatar
Arjen Balfoort
Site Admin
Posts: 9258
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Few months old TECHnical PROBLEM!..

Postby Arjen Balfoort » 07 May 2019 12:33

Google translate:
Read List of Packages ... Completed
Construction of Dependency Tree
Read description of the current status ... Completed
You may need to run apt -fix-broken install to fix these problems.
The following packages have unresolved dependencies:
solydk-system-adjustments-8: Depends on: solydxk-mozilla-evolvere-icon-theme but will not be installed
E: Unresolved dependencies. Try 'apt --fix - broken install' without specifying a package (or specify a solution).
In the output, there's a hint on the next step:

Code: Select all

apt --fix-broken install
I would also like to see the output of:

Code: Select all

cat /etc/apt/sources.list
Again, post back the output here.


SolydXK needs you!
Development | Testing | Translations

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 07 May 2019 12:43

Arjen Balfoort wrote:
07 May 2019 12:33
Google translate:
Read List of Packages ... Completed
Construction of Dependency Tree
Read description of the current status ... Completed
You may need to run apt -fix-broken install to fix these problems.
The following packages have unresolved dependencies:
solydk-system-adjustments-8: Depends on: solydxk-mozilla-evolvere-icon-theme but will not be installed
E: Unresolved dependencies. Try 'apt --fix - broken install' without specifying a package (or specify a solution).
In the output, there's a hint on the next step:

Code: Select all

apt --fix-broken install
Again, post back the output here.
Alright!..

So, you want me to send the output to you,
after i Google trasnlate it?..

Keeping on with the steps:

Code: Select all

elias@solydxk ~ $ apt --fix-broken install
[sudo] password for elias: 
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Διόρθωση εξαρτήσεων... Ετοιμο
Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:
  ayatana-indicator-application ayatana-indicator-common inotify-tools libinotifytools0
  linux-compiler-gcc-4.9-x86 linux-headers-4.9.0-0.bpo.3-amd64 linux-headers-4.9.0-0.bpo.3-common
  linux-headers-4.9.0-4-amd64 linux-headers-4.9.0-4-common linux-headers-4.9.0-5-amd64
  linux-headers-4.9.0-5-common linux-headers-4.9.0-6-amd64 linux-headers-4.9.0-6-common
  linux-image-4.9.0-0.bpo.3-amd64 linux-image-4.9.0-4-amd64 linux-image-4.9.0-5-amd64
  linux-image-4.9.0-6-amd64
Χρησιμοποιήστε 'sudo apt autoremove' για να τα διαγράψετε.
The following additional packages will be installed:
  solydxk-mozilla-evolvere-icon-theme
Τα ακόλουθα ΝΕΑ πακέτα θα εγκατασταθούν:
  solydxk-mozilla-evolvere-icon-theme
0 αναβαθμίστηκαν, 1 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 113 δεν αναβαθμίζονται.
Χρειάζεται να μεταφορτωθούν 14,4 kB από αρχεία.
Μετά από αυτή τη λειτουργία, θα χρησιμοποιηθούν 295 kB χώρου από το δίσκο.
Θέλετε να συνεχίσετε; [Ν/ο] 
So.., do i go for [N] (Y-es) +then 'sudo apt autoremove' or will it do so with N/Y ?..
EliaSXK91,
speaking!..

User avatar
Arjen Balfoort
Site Admin
Posts: 9258
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Few months old TECHnical PROBLEM!..

Postby Arjen Balfoort » 07 May 2019 13:29

Hit Y (o) to continue.
Apt will handle the rest.
If there's an error, post back the error here.


SolydXK needs you!
Development | Testing | Translations

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 07 May 2019 16:04

Arjen Balfoort wrote:
07 May 2019 13:29
Hit Y (o) to continue.
Apt will handle the rest.
If there's an error, post back the error here.
So i did, then!..

Code: Select all

Θέλετε να συνεχίσετε; [Ν/ο] Ν  
Φέρε:1 https://repository.solydxk.com solydxk-9/main amd64 solydxk-mozilla-evolvere-icon-theme all 0.1.2 [14,4 kB]
Μεταφορτώθηκαν 14,4 kB σε 1s (8892 B/s)
Selecting previously unselected package solydxk-mozilla-evolvere-icon-theme.
(Ανάγνωση βάσης δεδομένων ... 404336 files and directories currently installed.)
Preparing to unpack .../solydxk-mozilla-evolvere-icon-theme_0.1.2_all.deb ...
Unpacking solydxk-mozilla-evolvere-icon-theme (0.1.2) ...
Γίνεται εγκατάσταση solydxk-mozilla-evolvere-icon-theme (0.1.2) ...
elias@solydxk ~ $ 
Now, what?!..
EliaSXK91,
speaking!..

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 07 May 2019 22:36

Arjen Balfoort wrote:
07 May 2019 12:33
Google translate:
Read List of Packages ... Completed
Construction of Dependency Tree
Read description of the current status ... Completed
You may need to run apt -fix-broken install to fix these problems.
The following packages have unresolved dependencies:
solydk-system-adjustments-8: Depends on: solydxk-mozilla-evolvere-icon-theme but will not be installed
E: Unresolved dependencies. Try 'apt --fix - broken install' without specifying a package (or specify a solution).
In the output, there's a hint on the next step:

Code: Select all

apt --fix-broken install
I would also like to see the output of:

Code: Select all

cat /etc/apt/sources.list
Again, post back the output here.
...+this one here,
in case i missed the step
+it's regardless of the time in the process:

Code: Select all

elias@solydxk ~ $ cat /etc/apt/sources.list
deb https://repository.solydxk.com/ solydxk-9 main upstream import 
deb http://ftp.debian.org/debian/ stretch main contrib non-free 
deb http://security.debian.org/ stretch/updates main contrib non-free 
deb http://ftp.debian.org/debian/ stretch-backports non-free contrib main  
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free 

elias@solydxk ~ $ 
Looking forward to the feedback.
EliaSXK91,
speaking!..

User avatar
Arjen Balfoort
Site Admin
Posts: 9258
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Few months old TECHnical PROBLEM!..

Postby Arjen Balfoort » 08 May 2019 05:19

You didn't post back any errors from the apt command. So, I suppose everything went ok.

Then, there's one issue left: in the past you've updated your system from solydxk-8 to the current solydxk-9.
There is still an old package left that needs to be replaced: solydk-system-adjustments-8

Run these commands:

Code: Select all

apt purge solydk-system-adjustments-8
apt install solydk-system-adjustments-9
Again, post back any errors.

If there are no errors, update your system for good measure:

Code: Select all

apt sync


SolydXK needs you!
Development | Testing | Translations

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 08 May 2019 08:34

Arjen Balfoort wrote:
08 May 2019 05:19
You didn't post back any errors from the apt command. So, I suppose everything went ok.

Then, there's one issue left: in the past you've updated your system from solydxk-8 to the current solydxk-9.
There is still an old package left that needs to be replaced: solydk-system-adjustments-8

Run these commands:

Code: Select all

apt purge solydk-system-adjustments-8
apt install solydk-system-adjustments-9
Again, post back any errors.

If there are no errors, update your system for good measure:

Code: Select all

apt sync
All right...
I think i did as you guided me:

Code: Select all

elias@solydxk ~ $ apt purge solydk-system-adjustments-8
[sudo] password for elias: 
Συγνώμη, δοκιμάστε ξανά.
[sudo] password for elias: 
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:
  ayatana-indicator-application ayatana-indicator-common baloo
  evolvere-icon-theme-blue-folders-flat-vivid gtkhash gtkhash-common inotify-tools
  libinotifytools0 linux-compiler-gcc-4.9-x86 linux-headers-4.9.0-0.bpo.3-amd64
  linux-headers-4.9.0-0.bpo.3-common linux-headers-4.9.0-4-amd64 linux-headers-4.9.0-4-common
  linux-headers-4.9.0-5-amd64 linux-headers-4.9.0-5-common linux-headers-4.9.0-6-amd64
  linux-headers-4.9.0-6-common linux-image-4.9.0-0.bpo.3-amd64 linux-image-4.9.0-4-amd64
  linux-image-4.9.0-5-amd64 linux-image-4.9.0-6-amd64 solydxk-mozilla-evolvere-icon-theme
Χρησιμοποιήστε 'sudo apt autoremove' για να τα διαγράψετε.
Τα ακόλουθα πακέτα θα ΑΦΑΙΡΕΘΟΥΝ:
  solydk-system-adjustments-8*
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 1 θα αφαιρεθούν και 113 δεν αναβαθμίζονται.
Μετά από αυτή τη λειτουργία, θα ελευθερωθούν 9705 kB χώρου από το δίσκο.
Θέλετε να συνεχίσετε; [Ν/ο] N
Εγκατάλειψη.
elias@solydxk ~ $ apt sync
Hit:1 http://deb.debian.org/debian stretch-updates InRelease
Αγνόησε:2 http://ftp.debian.org/debian stretch InRelease                                           
Hit:3 http://security.debian.org stretch/updates InRelease                                         
Αγνόησε:4 http://dl.google.com/linux/earth/deb stable InRelease                                    
Hit:5 http://ftp.debian.org/debian stretch-backports InRelease                                     
Hit:6 http://dl.google.com/linux/earth/deb stable Release                                          
Hit:7 http://ftp.debian.org/debian stretch Release                                                 
Hit:8 https://repository.solydxk.com solydxk-9 InRelease                                           
Hit:9 http://linux.teamviewer.com/deb stable InRelease                                    
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε                                
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Υπολογισμός της αναβάθμισης... Ολοκληρώθηκε
Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:
  ayatana-indicator-application ayatana-indicator-common inotify-tools libinotifytools0
  linux-compiler-gcc-4.9-x86 linux-headers-4.9.0-0.bpo.3-amd64 linux-headers-4.9.0-0.bpo.3-common
  linux-headers-4.9.0-4-amd64 linux-headers-4.9.0-4-common linux-headers-4.9.0-5-amd64
  linux-headers-4.9.0-5-common linux-headers-4.9.0-6-amd64 linux-headers-4.9.0-6-common
  linux-image-4.9.0-0.bpo.3-amd64 linux-image-4.9.0-4-amd64 linux-image-4.9.0-5-amd64
  linux-image-4.9.0-6-amd64
Χρησιμοποιήστε 'sudo apt autoremove' για να τα διαγράψετε.
Τα ακόλουθα ΝΕΑ πακέτα θα εγκατασταθούν:
  linux-headers-4.9.0-9-amd64 linux-headers-4.9.0-9-common linux-image-4.9.0-9-amd64
Τα ακόλουθα πακέτα θα μείνουν ως έχουν:
  remmina-common remmina-plugin-rdp remmina-plugin-secret remmina-plugin-vnc
  thunderbird-solydxk-adjustments
Τα ακόλουθα πακέτα θα αναβαθμιστούν:
  ca-certificates-java dns-root-data firefox firefox-l10n-el firmware-amd-graphics
  firmware-atheros firmware-bnx2 firmware-bnx2x firmware-brcm80211 firmware-intelwimax
  firmware-ipw2x00 firmware-ivtv firmware-iwlwifi firmware-libertas firmware-linux
  firmware-linux-nonfree firmware-misc-nonfree firmware-myricom firmware-netxen firmware-qlogic
  firmware-realtek firmware-samsung firmware-ti-connectivity fonts-opensymbol ghostscript
  ghostscript-x gstreamer1.0-plugins-base gstreamer1.0-plugins-base:i386 gstreamer1.0-x
  imagemagick imagemagick-6-common imagemagick-6.q16 imagemagick-common java-common libaudiofile1
  libgs9 libgs9-common libgstreamer-plugins-base1.0-0 libgstreamer-plugins-base1.0-0:i386
  libimage-magick-perl libimage-magick-q16-perl libjs-jquery libkf5auth-data libkf5auth5
  libmagick++-6.q16-7 libmagickcore-6.q16-3 libmagickcore-6.q16-3-extra libmagickwand-6.q16-3
  libmariadbclient18 libpng16-16 libpng16-16:i386 libpq5 libreoffice
  libreoffice-avmedia-backend-gstreamer libreoffice-base libreoffice-base-core
  libreoffice-base-drivers libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw
  libreoffice-help-el libreoffice-help-en-us libreoffice-impress libreoffice-java-common
  libreoffice-kde libreoffice-l10n-el libreoffice-librelogo libreoffice-math libreoffice-nlpsolver
  libreoffice-ogltrans libreoffice-pdfimport libreoffice-report-builder
  libreoffice-report-builder-bin libreoffice-script-provider-bsh libreoffice-script-provider-js
  libreoffice-script-provider-python libreoffice-sdbc-postgresql libreoffice-style-breeze
  libreoffice-style-galaxy libreoffice-style-oxygen libreoffice-style-tango
  libreoffice-wiki-publisher libreoffice-writer libruby2.3 libssh2-1 linux-compiler-gcc-6-x86
  linux-headers-amd64 linux-image-amd64 linux-kbuild-4.9 linux-libc-dev mariadb-client-core-10.1
  mariadb-common nvidia-detect publicsuffix python-cryptography python3-uno rsync ruby2.3
  solydxk-flashplugin solydxk-system teamviewer uno-libs3 unzip ure wpasupplicant
106 αναβαθμίστηκαν, 3 νέο εγκατεστημένα, 0 θα αφαιρεθούν και 5 δεν αναβαθμίζονται.
Χρειάζεται να μεταφορτωθούν 51,3 MB/277 MB από αρχεία.
Μετά από αυτή τη λειτουργία, θα χρησιμοποιηθούν 243 MB χώρου από το δίσκο.
Θέλετε να συνεχίσετε; [Ν/ο] N
Εγκατάλειψη.
elias@solydxk ~ $ 
Then i went to Synaptic+did the usual update procedure,
concluding in updating the days long 100+ pagkages left out after my false personal Synaptic "adjustment" mess up..,
but still my months old solydxk-system update pagkage failure, remains...

This is what error, it brings me up in Synaptic:
E: /var/cache/apt/archives/solydxk-system_3.2.8_all.deb: trying to overwrite '/etc/skel/.gnupg/gpg.conf',
which is also in package solydk-system-adjustments-8 2.7.3


+from the terminal within Synaptic:

Code: Select all

(Ανάγνωση βάσης δεδομένων ... 424363 files and directories currently installed.)
Preparing to unpack .../solydxk-system_3.2.8_all.deb ...
Unpacking solydxk-system (3.2.8) over (3.1.1) ...
dpkg: error processing archive /var/cache/apt/archives/solydxk-system_3.2.8_all.deb (--unpack):
 trying to overwrite '/etc/skel/.gnupg/gpg.conf', which is also in package solydk-system-adjustments-8 2.7.3
dpkg-deb: error: subprocess paste was killed by signal (Διακοπείσα σωλήνωση)
Προέκυψαν σφάλματα κατά την επεξεργασία του:
 /var/cache/apt/archives/solydxk-system_3.2.8_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Αποτυχία εγκατάστασης ενός πακέτου. Γίνεται προσπάθεια ανάκτησης:
So.., where do we go from here?..

PS: I put both commands in the beginning

Code: Select all

apt purge solydk-system-adjustments-8
apt install solydk-system-adjustments-9
but it didn't take them...

Only

Code: Select all

apt purge solydk-system-adjustments-8
run by its own (without success of course)

+when sync was finished
and 100+ updatedable+installable pagkages were finally cocnluded,
i then run

Code: Select all

apt install solydk-system-adjustments-9
bringing me to this stage now:

Code: Select all

elias@solydxk ~ $ apt purge solydk-system-adjustments-8
[sudo] password for elias: 
Συγνώμη, δοκιμάστε ξανά.
[sudo] password for elias: 
E: Αδύνατο το κλείδωμα /var/lib/dpkg/lock - open (11: Ο πόρος είναι προσωρινά μη διαθέσιμος)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
elias@solydxk ~ $ apt purge solydk-system-adjustments-8
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:
  ayatana-indicator-application ayatana-indicator-common baloo
  evolvere-icon-theme-blue-folders-flat-vivid gtkhash gtkhash-common inotify-tools
  libinotifytools0 linux-compiler-gcc-4.9-x86 linux-headers-4.9.0-0.bpo.3-amd64
  linux-headers-4.9.0-0.bpo.3-common linux-headers-4.9.0-4-amd64 linux-headers-4.9.0-4-common
  linux-headers-4.9.0-5-amd64 linux-headers-4.9.0-5-common linux-headers-4.9.0-6-amd64
  linux-headers-4.9.0-6-common linux-headers-4.9.0-7-amd64 linux-headers-4.9.0-7-common
  linux-image-4.9.0-0.bpo.3-amd64 linux-image-4.9.0-4-amd64 linux-image-4.9.0-5-amd64
  linux-image-4.9.0-6-amd64 linux-image-4.9.0-7-amd64 solydxk-mozilla-evolvere-icon-theme
Χρησιμοποιήστε 'sudo apt autoremove' για να τα διαγράψετε.
Τα ακόλουθα πακέτα θα ΑΦΑΙΡΕΘΟΥΝ:
  solydk-system-adjustments-8*
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 1 θα αφαιρεθούν και 8 δεν αναβαθμίζονται.
Μετά από αυτή τη λειτουργία, θα ελευθερωθούν 9705 kB χώρου από το δίσκο.
Θέλετε να συνεχίσετε; [Ν/ο] N
Εγκατάλειψη.
elias@solydxk ~ $ apt install solydk-system-adjustments-9
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:
  ayatana-indicator-application ayatana-indicator-common baloo inotify-tools libinotifytools0
  linux-compiler-gcc-4.9-x86 linux-headers-4.9.0-0.bpo.3-amd64 linux-headers-4.9.0-0.bpo.3-common
  linux-headers-4.9.0-4-amd64 linux-headers-4.9.0-4-common linux-headers-4.9.0-5-amd64
  linux-headers-4.9.0-5-common linux-headers-4.9.0-6-amd64 linux-headers-4.9.0-6-common
  linux-headers-4.9.0-7-amd64 linux-headers-4.9.0-7-common linux-image-4.9.0-0.bpo.3-amd64
  linux-image-4.9.0-4-amd64 linux-image-4.9.0-5-amd64 linux-image-4.9.0-6-amd64
  linux-image-4.9.0-7-amd64 solydxk-mozilla-evolvere-icon-theme
Χρησιμοποιήστε 'sudo apt autoremove' για να τα διαγράψετε.
The following additional packages will be installed:
  apparmor apparmor-profiles apparmor-profiles-extra apparmor-utils
  evolvere-icon-theme-blue-folders-flat-vivid-dark libapparmor-perl libreoffice-breeze-dark
  python3-apparmor python3-libapparmor
Προτεινόμενα πακέτα:
  vim-addon-manager
Τα ακόλουθα πακέτα θα ΑΦΑΙΡΕΘΟΥΝ:
  solydk-system-adjustments-8
Τα ακόλουθα ΝΕΑ πακέτα θα εγκατασταθούν:
  apparmor apparmor-profiles apparmor-profiles-extra apparmor-utils
  evolvere-icon-theme-blue-folders-flat-vivid-dark libapparmor-perl libreoffice-breeze-dark
  python3-apparmor python3-libapparmor solydk-system-adjustments-9
0 αναβαθμίστηκαν, 10 νέο εγκατεστημένα, 1 θα αφαιρεθούν και 8 δεν αναβαθμίζονται.
Χρειάζεται να μεταφορτωθούν 2212 kB/6759 kB από αρχεία.
Μετά από αυτή τη λειτουργία, θα χρησιμοποιηθούν 54,0 MB χώρου από το δίσκο.
Θέλετε να συνεχίσετε; [Ν/ο] N
Εγκατάλειψη.
elias@solydxk ~ $ 
...Probably this PS (as well) is useful to you
(it's got errors inside anyway..., as the procedure was followed by me...)
...+am waiting for the next step...
EliaSXK91,
speaking!..

User avatar
Arjen Balfoort
Site Admin
Posts: 9258
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Few months old TECHnical PROBLEM!..

Postby Arjen Balfoort » 08 May 2019 09:37

Code: Select all

Τα ακόλουθα πακέτα θα ΑΦΑΙΡΕΘΟΥΝ:
  solydk-system-adjustments-8*
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 1 θα αφαιρεθούν και 113 δεν αναβαθμίζονται.
Μετά από αυτή τη λειτουργία, θα ελευθερωθούν 9705 kB χώρου από το δίσκο.
Θέλετε να συνεχίσετε; [Ν/ο] N
Εγκατάλειψη.
Google Translate:

Code: Select all

The following packages will REMOVE:
   solydk-system-adjustments-8 *
0 upgraded, 0 new installed, 1 removed and 113 not upgraded.
After this operation, 9705 kB of disk space will be released.
Would you like to proceed? [M / V] N
Abandonment.
You did not purge solydk-system-adjustments-8.

You need to confirm purging that package and post back the output here. Without that, we cannot continue.


SolydXK needs you!
Development | Testing | Translations

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 08 May 2019 10:21

Arjen Balfoort wrote:
08 May 2019 09:37

Code: Select all

Τα ακόλουθα πακέτα θα ΑΦΑΙΡΕΘΟΥΝ:
  solydk-system-adjustments-8*
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 1 θα αφαιρεθούν και 113 δεν αναβαθμίζονται.
Μετά από αυτή τη λειτουργία, θα ελευθερωθούν 9705 kB χώρου από το δίσκο.
Θέλετε να συνεχίσετε; [Ν/ο] N
Εγκατάλειψη.
Google Translate:

Code: Select all

The following packages will REMOVE:
   solydk-system-adjustments-8 *
0 upgraded, 0 new installed, 1 removed and 113 not upgraded.
After this operation, 9705 kB of disk space will be released.
Would you like to proceed? [M / V] N
Abandonment.
You did not purge solydk-system-adjustments-8.

You need to confirm purging that package and post back the output here. Without that, we cannot continue.
...All right...
It may didn't do it before,
for the keyboard was in English+took N for NO,
instead of N for NAI(YES in Hellenic)!..

Here's the output:

Code: Select all

elias@solydxk ~ $ apt purge solydk-system-adjustments-8
[sudo] password for elias: 
E: Αδύνατο το κλείδωμα /var/lib/dpkg/lock - open (11: Ο πόρος είναι προσωρινά μη διαθέσιμος)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
elias@solydxk ~ $ apt purge solydk-system-adjustments-8
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:
  ayatana-indicator-application ayatana-indicator-common baloo
  evolvere-icon-theme-blue-folders-flat-vivid gtkhash gtkhash-common inotify-tools
  libinotifytools0 linux-compiler-gcc-4.9-x86 linux-headers-4.9.0-0.bpo.3-amd64
  linux-headers-4.9.0-0.bpo.3-common linux-headers-4.9.0-4-amd64 linux-headers-4.9.0-4-common
  linux-headers-4.9.0-5-amd64 linux-headers-4.9.0-5-common linux-headers-4.9.0-6-amd64
  linux-headers-4.9.0-6-common linux-headers-4.9.0-7-amd64 linux-headers-4.9.0-7-common
  linux-image-4.9.0-0.bpo.3-amd64 linux-image-4.9.0-4-amd64 linux-image-4.9.0-5-amd64
  linux-image-4.9.0-6-amd64 linux-image-4.9.0-7-amd64 solydxk-mozilla-evolvere-icon-theme
Χρησιμοποιήστε 'sudo apt autoremove' για να τα διαγράψετε.
Τα ακόλουθα πακέτα θα ΑΦΑΙΡΕΘΟΥΝ:
  solydk-system-adjustments-8*
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 1 θα αφαιρεθούν και 8 δεν αναβαθμίζονται.
Μετά από αυτή τη λειτουργία, θα ελευθερωθούν 9705 kB χώρου από το δίσκο.
Θέλετε να συνεχίσετε; [Ν/ο] Ν
(Ανάγνωση βάσης δεδομένων ... 424363 files and directories currently installed.)
Removing solydk-system-adjustments-8 (2.7.3) ...
find: ‘/etc/xdg/menus/debian-menu.menu’: Δεν υπάρχει τέτοιο αρχείο ή κατάλογος
dpkg: error processing package solydk-system-adjustments-8 (--remove):
 η υποδιεργασία installed pre-removal script επέστρεψε κατάσταση λάθους 1
Προέκυψαν σφάλματα κατά την επεξεργασία του:
 solydk-system-adjustments-8
E: Sub-process /usr/bin/dpkg returned an error code (1)
elias@solydxk ~ $ 
...But here we go this new error...
EliaSXK91,
speaking!..

User avatar
Arjen Balfoort
Site Admin
Posts: 9258
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Few months old TECHnical PROBLEM!..

Postby Arjen Balfoort » 08 May 2019 11:31

I have patched solydk-system-adjustments-8. You can download the package here:

https://repository.solydxk.com/pool/mai ... .4_all.deb

Just double-click it and install.

When that has finished without errors, you can try to purge the package again as stated in my previous post:

Code: Select all

apt purge solydk-system-adjustments-8
If that ends without errors, you can continue with:

Code: Select all

apt install solydk-system-adjustments-9


SolydXK needs you!
Development | Testing | Translations

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 08 May 2019 12:37

Arjen Balfoort wrote:
08 May 2019 11:31
I have patched solydk-system-adjustments-8. You can download the package here:

https://repository.solydxk.com/pool/mai ... .4_all.deb

Just double-click it and install.

When that has finished without errors, you can try to purge the package again as stated in my previous post:

Code: Select all

apt purge solydk-system-adjustments-8
If that ends without errors, you can continue with:

Code: Select all

apt install solydk-system-adjustments-9
I installed it, but the SolydXK package installation window/GDebi
says there's a same edition already installed
+gives me 2 options: Reinstallation / Removal
(Adjustments specific to SolydK (version 8, jessie).
This includes configuration and graphical changes.)

Whereas the terminal outputs with error:

Code: Select all

elias@solydxk ~ $ apt purge solydk-system-adjustments-8
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:
  ayatana-indicator-application ayatana-indicator-common baloo
  evolvere-icon-theme-blue-folders-flat-vivid gtkhash gtkhash-common inotify-tools
  libinotifytools0 linux-compiler-gcc-4.9-x86 linux-headers-4.9.0-0.bpo.3-amd64
  linux-headers-4.9.0-0.bpo.3-common linux-headers-4.9.0-4-amd64 linux-headers-4.9.0-4-common
  linux-headers-4.9.0-5-amd64 linux-headers-4.9.0-5-common linux-headers-4.9.0-6-amd64
  linux-headers-4.9.0-6-common linux-headers-4.9.0-7-amd64 linux-headers-4.9.0-7-common
  linux-image-4.9.0-0.bpo.3-amd64 linux-image-4.9.0-4-amd64 linux-image-4.9.0-5-amd64
  linux-image-4.9.0-6-amd64 linux-image-4.9.0-7-amd64 solydxk-mozilla-evolvere-icon-theme
Χρησιμοποιήστε 'sudo apt autoremove' για να τα διαγράψετε.
Τα ακόλουθα πακέτα θα ΑΦΑΙΡΕΘΟΥΝ:
  solydk-system-adjustments-8*
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 1 θα αφαιρεθούν και 8 δεν αναβαθμίζονται.
Μετά από αυτή τη λειτουργία, θα ελευθερωθούν 9705 kB χώρου από το δίσκο.
Θέλετε να συνεχίσετε; [Ν/ο] Ν
(Ανάγνωση βάσης δεδομένων ... 424378 files and directories currently installed.)
Removing solydk-system-adjustments-8 (2.7.4) ...
dpkg-divert: error: ασυμφωνία στο πακέτο
  απομακρύνοντας το `diversion of /usr/share/kde4/apps/plasma-desktop/init/00-defaultLayout.js by solydk-system-adjustments-8'
  βρέθηκε το `diversion of /usr/share/kde4/apps/plasma-desktop/init/00-defaultLayout.js to /usr/share/kde4/apps/plasma-desktop/init/00-defaultLayout.js.divert by solydk-system-adjustments'
dpkg: error processing package solydk-system-adjustments-8 (--remove):
 η υποδιεργασία installed pre-removal script επέστρεψε κατάσταση λάθους 2
Προέκυψαν σφάλματα κατά την επεξεργασία του:
 solydk-system-adjustments-8
E: Sub-process /usr/bin/dpkg returned an error code (1)
elias@solydxk ~ $ 
So?..
EliaSXK91,
speaking!..

User avatar
Arjen Balfoort
Site Admin
Posts: 9258
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: Few months old TECHnical PROBLEM!..

Postby Arjen Balfoort » 08 May 2019 14:57

You even have an older package: solydk -system-adjustments
That needs to be purged as well:

Code: Select all

apt purge solydk-system-adjustments*
The '*' is important. This will make sure you purge any version of solydk -system-adjustments.

If that went alright, install solydk -system-adjustments-9:

Code: Select all

apt install solydk -system-adjustments-9


SolydXK needs you!
Development | Testing | Translations

User avatar
EliaSXK91
Posts: 28
Joined: 06 May 2019 12:01

Re: Few months old TECHnical PROBLEM!..

Postby EliaSXK91 » 08 May 2019 15:06

Arjen Balfoort wrote:
08 May 2019 14:57
You even have an older package: solydk -system-adjustments
That needs to be purged as well:

Code: Select all

apt purge solydk-system-adjustments*
The '*' is important. This will make sure you purge any version of solydk -system-adjustments.

If that went alright, install solydk -system-adjustments-9:

Code: Select all

apt install solydk -system-adjustments-9
...1st step "all right"..,
but i got stuck before the 2nd with an error... again... :facepalm:

Code: Select all

elias@solydxk ~ $ apt purge solydk-system-adjustments*
[sudo] password for elias: 
Ανάγνωση Λιστών Πακέτων... Ολοκληρώθηκε
Κατασκευή Δένδρου Εξαρτήσεων                  
Ανάγνωση περιγραφής της τρέχουσας κατάσταση... Ολοκληρώθηκε
Note, selecting 'solydk-system-adjustments' for glob 'solydk-system-adjustments*'
Note, selecting 'solydk-system-adjustments-8' for glob 'solydk-system-adjustments*'
Note, selecting 'solydk-system-adjustments-9' for glob 'solydk-system-adjustments*'
Το πακέτο solydk-system-adjustments δεν είναι εγκατεστημένο και δεν θα αφαιρεθεί
Το πακέτο solydk-system-adjustments-9 δεν είναι εγκατεστημένο και δεν θα αφαιρεθεί
Τα ακόλουθα πακέτα εγκαταστάθηκαν αυτόματα και δεν χρειάζονται πλέον:
  ayatana-indicator-application ayatana-indicator-common baloo
  evolvere-icon-theme-blue-folders-flat-vivid gtkhash gtkhash-common inotify-tools
  libinotifytools0 linux-compiler-gcc-4.9-x86 linux-headers-4.9.0-0.bpo.3-amd64
  linux-headers-4.9.0-0.bpo.3-common linux-headers-4.9.0-4-amd64 linux-headers-4.9.0-4-common
  linux-headers-4.9.0-5-amd64 linux-headers-4.9.0-5-common linux-headers-4.9.0-6-amd64
  linux-headers-4.9.0-6-common linux-headers-4.9.0-7-amd64 linux-headers-4.9.0-7-common
  linux-image-4.9.0-0.bpo.3-amd64 linux-image-4.9.0-4-amd64 linux-image-4.9.0-5-amd64
  linux-image-4.9.0-6-amd64 linux-image-4.9.0-7-amd64 solydxk-mozilla-evolvere-icon-theme
Χρησιμοποιήστε 'sudo apt autoremove' για να τα διαγράψετε.
Τα ακόλουθα πακέτα θα ΑΦΑΙΡΕΘΟΥΝ:
  solydk-system-adjustments-8*
0 αναβαθμίστηκαν, 0 νέο εγκατεστημένα, 1 θα αφαιρεθούν και 8 δεν αναβαθμίζονται.
Μετά από αυτή τη λειτουργία, θα ελευθερωθούν 9705 kB χώρου από το δίσκο.
Θέλετε να συνεχίσετε; [Ν/ο] Ν
(Ανάγνωση βάσης δεδομένων ... 424378 files and directories currently installed.)
Removing solydk-system-adjustments-8 (2.7.4) ...
dpkg-divert: error: ασυμφωνία στο πακέτο
  απομακρύνοντας το `diversion of /usr/share/kde4/apps/plasma-desktop/init/00-defaultLayout.js by solydk-system-adjustments-8'
  βρέθηκε το `diversion of /usr/share/kde4/apps/plasma-desktop/init/00-defaultLayout.js to /usr/share/kde4/apps/plasma-desktop/init/00-defaultLayout.js.divert by solydk-system-adjustments'
dpkg: error processing package solydk-system-adjustments-8 (--remove):
 η υποδιεργασία installed pre-removal script επέστρεψε κατάσταση λάθους 2
Προέκυψαν σφάλματα κατά την επεξεργασία του:
 solydk-system-adjustments-8
E: Sub-process /usr/bin/dpkg returned an error code (1)
elias@solydxk ~ $ 
Back to other purging process of the "system-adjustments-8" then...
Looking forward to it...

Note: This bloody package was the one that created worse problem to me in Synaptic,
when i tried to uninstall it+it got stuck there along with the next 100+ packages later,
that wouldn't be updated, apart from the months old stuck "solyd-system" package...
EliaSXK91,
speaking!..


Return to “Software”

Who is online

Users browsing this forum: No registered users and 2 guests